#ifndef ProjectWizardNewProjectPage_h
#define ProjectWizardNewProjectPage_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <wx/wizard.h>

class ProjectWizardNewProjectPage: public wxWizardPageSimple {

        DECLARE_CLASS(ProjectWizardNewProjectPage)

public:
	ProjectWizardNewProjectPage(wxWizard* parent,
                     wxWizardPage* prev = NULL,
                     wxWizardPage* next = NULL,
                     const wxBitmap& bitmap = wxNullBitmap,
                     const wxChar *resource = NULL);
        virtual ~ProjectWizardNewProjectPage();

        virtual bool TransferDataToWindow();
        void OnPageChanging(wxWizardEvent& evt);
        
        void OnXPlanePathBrowse(wxCommandEvent& evt);
protected:
        DECLARE_EVENT_TABLE()
        wxTextCtrl* _icaoID;
        wxTextCtrl *_xplaneImportPath;
        wxButton *_xplaneImportPathBrowse;
};

#endif

