#ifndef PanZoomMode_h
#define PanZoomMode_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <Map/Mode.h>

class PanZoomMode : public Mode {
        
        DECLARE_CLASS(PanZoomMode)
        
public:
	PanZoomMode();
        
        /* Return TRUE iff this mode can be exited. */
	virtual bool CanExit();
        
        void OnMouseMotion(wxMouseEvent& evt);
        void OnMouseWheel(wxMouseEvent& evt);
        void CatchMouseEvent(wxMouseEvent& evt);
private:
        DECLARE_EVENT_TABLE()
        
        wxPoint _lastPosition;
        int _mouseWheelRotation;
};

#endif


