#if HAVE_CONFIG_H
#  include <config.h>
#endif /* HAVE_CONFIG_H */

#include "BeaconMapObject.h"

#include "BeaconSelection.h"

IMPLEMENT_CLASS(BeaconMapObject,PointMapObject)

static wxPen GreenPen=wxPen(wxColour(0,255,0),1,wxSOLID);
static wxBrush GreenBrush=wxBrush(wxColour(0,255,0),wxSOLID);

BeaconMapObject::BeaconMapObject(TransactionManager* transactionManager,
                                 Point3D position,
                                 BeaconType beaconType,
                                 wxString name):
        PointMapObject(transactionManager, position,GreenPen,GreenPen,GreenBrush) {
                TRANSACTIONOBJECT_STATEVAR(_beaconType)=beaconType;
                TRANSACTIONOBJECT_STATEVAR(_name)=name;
}

MapSelection* BeaconMapObject::CreateSelection(MapSelectionManager* manager) {
        return new BeaconSelection(manager,this);
}

