#ifndef PavementSelectionEndHandle_h
#define PavementSelectionEndHandle_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif
#include <Map/MapSelectionHandle.h>

class PavementSelectionEndHandle: public MapSelectionHandle {
        
        DECLARE_CLASS(PavementSelectionEndHandle)
        
public:
	PavementSelectionEndHandle(MapSelection* selection, unsigned int end);
        virtual ~PavementSelectionEndHandle();
        
        virtual void StartDrag(Point3D currentPosition);
        
        virtual void Drag(Point3D currentPosition);
        
        virtual wxString EndDrag() {
                // FIXME: should delete this object now
                return wxT("Moving pavement endpoint");
        }
protected:
        Point3D _handleDelta;
        unsigned int _end;
};

#endif

