#ifndef UndoRedoMenuManager_h
#define UndoRedoMenuManager_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

class TransactionManager;

class UndoRedoMenuManager: public wxEvtHandler {
        
        DECLARE_CLASS(UndoRedoMenuManager)
        
public:
        typedef enum {
                MenuType_Undo,
                MenuType_Redo
        } MenuType;
	UndoRedoMenuManager(TransactionManager* tmgr,
                            MenuType type);
        virtual ~UndoRedoMenuManager();
        
        void SetupMenu(wxMenu* menu);
        
        void OnMenuSelected(wxCommandEvent& evt);
protected:
        TransactionManager *_transactionManager;
        MenuType _type;
        DECLARE_EVENT_TABLE()
};

#endif

